Name:           basket
Summary:        Notes taker for KDE
Version:        0.5.0
Release:        4%{?dist}
URL:           	http://basket.kde.org/
Source0:        http://basket.kde.org/downloads/basket-0.5.0.tar.gz
Patch0:         basket-0.5.0-64bits.patch
License:        GPL

Group:          Applications/Productivity
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  kdelibs-devel, desktop-file-utils
Requires:       kdebase >= 3.0

%description
This application is mainly an all-purpose notes taker. It provides baskets
where any item can be dragged and dropped: text, formatted text, links,
images, sounds, files, colors, application launcher...
BasKet lets you keep all objects in one place, and keep data at hand.


%prep
%setup -q
%patch0 -p0 -b .64bits


%build
unset QTDIR && . %{_sysconfdir}/profile.d/qt.sh
# work around an improper ${kdelibsuff}
export QTLIB=${QTDIR}/lib QTINC=${QTDIR}/include

%configure --disable-rpath --disable-debug
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%{find_lang} %{name}

# Icons: use hicolor instead of crystalsvg
mv $RPM_BUILD_ROOT%{_datadir}/icons/{crystalsvg,hicolor}

# Menu
# fix encoding
mv $RPM_BUILD_ROOT%{_datadir}/applnk/Utilities/basket{,.badencoding}.desktop
iconv -f ISO-8859-1 -t UTF-8 $RPM_BUILD_ROOT%{_datadir}/applnk/Utilities/basket.badencoding.desktop \
        > $RPM_BUILD_ROOT%{_datadir}/applnk/Utilities/basket.desktop
rm -f $RPM_BUILD_ROOT%{_datadir}/applnk/Utilities/basket.badencoding.desktop
# install desktop file
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install  --vendor fedora \
        --dir $RPM_BUILD_ROOT%{_datadir}/applications \
        --delete-original \
        --add-category Application \
        --add-category X-Fedora \
        --add-category Utility \
        --add-category Qt \
        --add-category KDE \
        $RPM_BUILD_ROOT%{_datadir}/applnk/Utilities/basket.desktop


%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
    %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
    %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README AUTHORS COPYING ChangeLog NEWS TODO
%{_bindir}/basket
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/apps/basket
%{_datadir}/doc/HTML/*/basket



%changelog
* Mon Oct 17 2005 Aurelien Bompard <gauret[AT]free.fr> 0.5.0-4
- add patch for 64 bits

* Fri Oct 14 2005 Aurelien Bompard <gauret[AT]free.fr> 0.5.0-3
- don't add the extension to the icon, it's useless
- touch the icon dir in post and postun

* Fri Oct 14 2005 Aurelien Bompard <gauret[AT]free.fr> 0.5.0-2
- own the doc dir
- use hicolor instead of crystalsvg as icon theme
- add extension to the icon in the desktop file

* Wed Oct 12 2005 Aurelien Bompard <gauret[AT]free.fr> 0.5.0-1
- port to Fedora from Mandriva (release 3)
